// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "IBoundaryAdapter.h"
#include "OpenXrBoundaryAdapter.generated.h"


UCLASS()
class AR51SDK_OPENXR_API AOpenXrBoundaryAdapter : public AActor, public IBoundaryAdapter
{
	GENERATED_BODY()

public:
	FString GetBoundaryName() const override;
	TArray<FVector> GetPoints() const override;

	// Sets default values for this actor's properties
	AOpenXrBoundaryAdapter();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:	
	// Called every frame
	virtual void Tick(float DeltaTime) override;

};
